Bug 1414993 - Bootstrap does not (re)start rhsmcertd upon completion
Summary: Bootstrap does not (re)start rhsmcertd upon completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Bootstrap
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Rich Jerrido
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 22:22 UTC by Rich Jerrido
Modified: 2019-09-26 15:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:30:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/Katello katello-client-bootstrap pull 147 None None None 2020-08-11 13:51:55 UTC

Description Rich Jerrido 2017-01-19 22:22:00 UTC
Description of problem:


As many users of the bootstrap script will be registering systems that are not registered (at all) or previously registered to sat5/rhn classic, it is important the rhsmcertd daemon is enabled AND started. Otherwise check-in times in the UI will not be updated and the other functions that rhsmcertd provide will not be available. 


Version-Release number of selected component (if applicable):
rpm -q katello-client-bootstrap
katello-client-bootstrap-1.2.2-1.el7sat.noarch



How reproducible:
100%

Steps to Reproduce:
1. run bootstrap on a system where rhsmcertd is disabled and not running. 
2.
3.

Actual results:
rhsmcertd is not enabled on startup and not running

Expected results:
rhsmcertd should be enabled on startup and running

Additional info:

Comment 4 Ondřej Pražák 2017-08-23 11:39:57 UTC
Verified.

6.3.0 snap 12

Comment 5 Bryan Kearney 2018-02-21 17:30:35 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.